pgtap (1.3.3-3.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 11 Sep 2024 23:12:28 +0200

pgtap (1.3.3-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 23:12:28 +0200

pgtap (1.3.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 23:18:58 +0200

pgtap (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Apr 2024 23:19:04 +0200

pgtap (1.3.2-2) unstable; urgency=medium

  * Mark package as Arch: all again, .so is gone again.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Feb 2024 18:40:04 +0100

pgtap (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 12:24:33 +0100

pgtap (1.3.1-2) unstable; urgency=medium

  * pgtap ships a .so file, mark as arch: any.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Oct 2023 09:46:29 +0200

pgtap (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * Run install-time tests using pg_prove.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 16:13:58 +0200

pgtap (1.3.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Sep 2023 15:39:46 +0200

pgtap (1.3.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * debian/tests: Drop postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:21:07 +0200

pgtap (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Aug 2023 10:38:25 +0200

pgtap (1.2.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Oct 2022 14:18:34 +0200

pgtap (1.2.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:25:21 +0200

pgtap (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 12:05:39 +0100

pgtap (1.1.0-7) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Nov 2021 12:31:50 +0100

pgtap (1.1.0-6) unstable; urgency=medium

  * Pull patch from upstream to support PostgreSQL 14.
  * Replace uses of `which` by `command -v.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Nov 2021 11:17:55 +0100

pgtap (1.1.0-5) unstable; urgency=medium

  * Rules-Requires-Root: no.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Oct 2020 11:51:15 +0200

pgtap (1.1.0-4) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Oct 2020 14:48:06 +0200

pgtap (1.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Fix Makefile for PG13 compatibility.

 -- Christoph Berg <myon@debian.org>  Mon, 25 May 2020 15:25:41 +0200

pgtap (1.1.0-2) unstable; urgency=medium

  * tests: Tell pgxs.mk that we don't want to install any files.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 11:56:13 +0100

pgtap (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Nov 2019 11:06:07 +0100

pgtap (1.0.0-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:35:51 +0100

pgtap (1.0.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 12:02:49 +0100

pgtap (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 13:48:55 +0100

pgtap (0.99.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 22:44:47 +0200

pgtap (0.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Mark pgtap-doc as Multi-Arch: foreign.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Sep 2018 17:52:38 +0200

pgtap (0.98.0-22-gda005fb-1) unstable; urgency=medium

  * New upstream snapshot.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 31 Jul 2018 13:05:05 +0200

pgtap (0.97.0-3) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/v10-testsuite.patch: New patch, adds v10 compatibility to
    the testsuite.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 26 Sep 2017 10:04:03 +0200

pgtap (0.97.0-2) unstable; urgency=medium

  * Rebuild after rebase on top of 0.96.0-3.
  * Drop patch 9.6, it's included upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 03 Dec 2016 09:13:03 +0100

pgtap (0.97.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch Makefile-doc, add DEP3 tags.
  * Update debian/control: build against Postgres 9.6 by default.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 03 Dec 2016 08:50:17 +0100

pgtap (0.96.0-3) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 12:21:03 +0200

pgtap (0.96.0-2) unstable; urgency=medium

  * Use debian/tests/control.in to correctly depend on
    postgresql-contrib-*, bump pg-server-dev-all requirement to
    (>= 171~) for this.
  * debian/tests/installcheck: Rebuilt sql/pgtap.sql, it is version-dependant.

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jun 2016 18:26:19 +0200

pgtap (0.96.0-1) unstable; urgency=medium

  * New upstream release: 0.96.0.
  * Update d/copyright, alter to machine readable format.
  * Extend the short descriptions of pgtap and pgtap-doc, so they
    are slightly different.
  * Bump S-V: no changes required
  * Add doc-base registration for pgtap-doc.
  * Use secure link for the Vcs-Browser field.
  * Bump d/compat to require version 9.
  * Add postgresql-contrib to the autopkgtest requirements.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 03 Jun 2016 19:41:48 +0200

pgtap (0.95.0-3) unstable; urgency=medium

  * Pull patch from upstream to fix 9.5 installcheck failure.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 20:49:59 +0100

pgtap (0.95.0-2) unstable; urgency=medium

  * Install html documentation instead of mmd.
  * Make pgtap a useful meta package depending on the PostgreSQL extension and
    libtap-parser-sourcehandler-pgtap-perl which provides pg_prove.
  * Use "pg_buildext loop" in rules file and fix installcheck tests.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Dec 2015 21:20:03 +0100

pgtap (0.95.0-1) unstable; urgency=medium

  [ Markus Wanner ]
  * New upstream release 0.95.0. Closes: #723176, #729559, #784686.
  * Change to team maintenance, add myself as an uploader.
  * Allow per-Postgres-major-version packages, add a separate -doc one.
  * Add pgversions to restrict building against PostgreSQL 8.4 and newer
    (older versions would require compiling a C extension, which we don't
    support).
  * Update build dependencies, drop dependencies on libpq, add a
    dependency on the postgres server package.
  * Add an autopkgtest on installcheck.
  * Adjust watch-file to monitor releases on github.
  * Bump S-V to 3.9.6.
  * Add Vcs-* fields for the new git packaging repository.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 08 Sep 2015 12:03:59 +0200

pgtap (0.90.0-1) unstable; urgency=low

  * Imported Upstream version 0.90.0
  * Switch to dpkg-source 3.0 (quilt) format
  * Add Recommends on libtap-parser-sourcehandler-pgtap-perl (Closes: #642196)
  * Add Recommends on libtap-harness-archive-perl (Closes: #590801)
  * Fix path for documentation file.
  * Convert to DH version 8

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Dec 2011 00:03:13 +0100

pgtap (0.25.0-2) unstable; urgency=low

  * Set build-dep to postgresql-server-dev-all
  * Backport upstream commit 461fa22: Removed use of `relistemp` column in an
    internal function, as it has been removed in PostgreSQL 9.1
    Thanks to David E. Wheeler for the patch (Closes: #640563, #640165)
  * Make package architecture independent, the C module is not required since
    PostgreSQL 8.4 (Closes: #590798)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 12 Sep 2011 00:11:30 +0200

pgtap (0.25.0-1) unstable; urgency=low

  * Imported Upstream version 0.25.0
  * Update build-dep to postgresql-server-dev-9.0 (Closes: #618234)
  * Update homepage (Closes: #590802)
  * pg_prove has been removed from upstream package and is shipped in a
    separate package (TAP::Parser::SourceHandler::pgTAP)
    This is not yet packaged, but will be in a near future.
  * Bump Standards Version to 3.9.1 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 14:12:04 +0200

pgtap (0.24-1) unstable; urgency=low

  * Imported Upstream version 0.24
  * Bump Standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Jul 2010 14:38:51 +0200

pgtap (0.23-2) unstable; urgency=low

  * Move pg_prove to /usr/bin (Closes: #568106)
  * Bump standards version to 3.8.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 21 Feb 2010 20:07:36 +0100

pgtap (0.23-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Dec 2009 11:08:22 +0100

pgtap (0.22-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 18 Aug 2009 15:03:50 +0200

pgtap (0.21-3) unstable; urgency=low

  * Update build-depend to postgresql-server-dev-8.4 (Closes: #536968)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 16 Jul 2009 19:13:44 +0200

pgtap (0.21-2) unstable; urgency=low

  * Change section to database (Closes: #534154)
  * Bump standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 22 Jun 2009 21:34:22 +0200

pgtap (0.21-1) unstable; urgency=low

  * New Upstream Version
  * Add watch file

 -- Pierre Chifflier <pollux@debian.org>  Sun, 07 Jun 2009 21:48:14 +0200

pgtap (0.20-2) unstable; urgency=low

  * Add dependency on libtest-harness-perl (Closes: #530837)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 28 May 2009 15:32:21 +0200

pgtap (0.20-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.1 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 30 Mar 2009 18:07:52 +0200

pgtap (0.19-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Tue, 10 Mar 2009 09:50:40 +0100

pgtap (0.16-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Feb 2009 11:00:50 +0100

pgtap (0.14-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Tue, 28 Oct 2008 09:18:55 +0100

pgtap (0.12-2) unstable; urgency=low

  * Add missing build-dep on postgresql-server-dev-8.3 (fix FTBFS)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 27 Oct 2008 09:19:26 +0100

pgtap (0.12-1) unstable; urgency=low

  * Initial release (Closes: #500671)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Oct 2008 09:51:43 +0200
